Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#33 --allversions doesn't work

current_cvs
closed-wont-fix
genxref (49)
8
2005-02-13
2001-12-06
Malcolm Box
No

This is a tracking bug for the the CVS.pm changes
needed to make --allversions work properly across CVS
and Files.

Currently one or the other works - we need both to work
with the same semantics before 1.00

Discussion

  • Dave Brondsema
    Dave Brondsema
    2004-07-07

    Logged In: YES
    user_id=341298

    The versions for CVS.pm are branches and tags. These can be
    applied at any level of the codebase, so for example version
    'branch-for-feature-X' might only exist in
    myapp/src/component/foo and nowhere else in the codebase.
    It wouldn't make sense for --allversions to index this
    version. The best solution I can think of is for
    --allversions to index the default version. I already
    modified genxref to display an error if --allversions is
    used but the version range returns nothing (as is the case
    with CVS).

     
  • Malcolm Box
    Malcolm Box
    2005-02-13

    Logged In: YES
    user_id=215386

    Closed as this is unlikely to ever work well for CVS files
    since working out what all the branches/versions are is
    hard. It's also unlikely to be what's wanted in a LXR install.

     
  • Malcolm Box
    Malcolm Box
    2005-02-13

    • status: open --> closed-wont-fix